Enable the authentication with a time-based one-time password (TOTP). Give a code from the authenticator app to confirm this operation. When the user already has a second factor, give one of them too (email_otp, fido_authentication_response or recovery_code).
POST
/auth/totp
curl
curl -X POST "http://api.example.com/auth/totp" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"totp": ""
}'
import requests
url = "http://api.example.com/auth/totp"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"totp": ""
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"totp": "string",
"email_otp": "string",
"fido_authentication_response": {},
"recovery_code": "string"
}